dbh_update(3)

-

NAME
dbh_update, dbh_writeheader - write data record or file header to disk

SYNOPSIS
#include <dbh.h>

FILE_POINTER dbh_update (DBHashTable *dbh);
int dbh_writeheader (DBHashTable *dbh);

DESCRIPTION
dbh_update will update the current record in memory to the disk based hash. This function will update erased records as well as unerased records, but if an erased record is updated, it is automatically unerased.

dbh_writeheader will write out the DBHashTable header information. It is advisable to call this function inmediately after creation of a new DBHashTable to force a buffer flush.

RETURN VALUE
dbh_update returns 0 on error, byte offset of loaded record otherwise while dbh_writeheader returns 0 if error, 1 otherwise.

SEE ALSO
dbh (0), dbh_set_data (3), dbh_set_key (3), dbh_set_size (3), dbh_set_recordsize (3), dbh_load (3), dbh_sweep (3)

Author
Edscott Wilson Garcia <edscott@xfce.org>